> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-9/v9-2-1-79382.md).

# Version 9.2.1.79382 Changelog (March 15th, 2022)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 9.2.1.79382
* Release Date: March 15th, 2022
* Built with Xcode 13.2.1 (13C100)

## New Features

* Support for world-leading PDF-to-Office (docx, pptx, xlsx) conversion. Please see our [guide](/ios/conversion/pdf-to-word-i.md) for more information.
* Users can now create their own custom rubber stamps using the `PTRubberStampCreate` tool.
* Adds the ability to rotate text annotations.
* Area and Perimeter measurement annotations now display their measurement value as a label on the annotation.
* Pages can be added to a document using a camera-based scanner.
* XML files can now be converted to PDF and displayed in the viewer.

## New APIs

* Exposes new APIs for the tools in the `Fill & Sign` toolbar which was released in version [9.2.0](/ios/changelogs/version-9/v9-2-0-79330.md) of the SDK:
  * [`PTCheckMarkStampCreate`](https://sdk.apryse.com/api/ios/Classes/PTCheckMarkStampCreate.html)
  * [`PTCrossMarkStampCreate`](https://sdk.apryse.com/api/ios/Classes/PTCrossMarkStampCreate.html)
  * [`PTDateTextCreate`](https://sdk.apryse.com/api/ios/Classes/PTDateTextCreate.html)
  * [`PTDotStampCreate`](https://sdk.apryse.com/api/ios/Classes/PTDotStampCreate.html)
  * [`PTSpacingTextCreate`](https://sdk.apryse.com/api/ios/Classes/PTSpacingTextCreate.html)
* Added a new option to display a toggle bookmark button in the navigation bar on tablets, and the toolbar on phones.
  * [`PTDocumentBaseViewController.bookmarkPageButtonHidden`](https://sdk.apryse.com/api/ios/Classes/PTDocumentBaseViewController.html#/c:objc\(cs\)PTDocumentBaseViewController\(py\)bookmarkPageButtonHidden) (defaults to `true`)
* The `PTAnnotationReplyViewController` now supports editing replies.
  * [`PTAnnotationReplyViewController.replyEditingEnabled`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationReplyViewController.html#/c:objc\(cs\)PTAnnotationReplyViewController\(py\)replyEditingEnabled) (defaults to `true`)
* Added the option to show the date picker when first creating a date text annotation with the `PTDateTextCreate` class
  * [`PTDateTextAnnotationOptions.showDatePickerWhenCreated`](https://sdk.apryse.com/api/ios/Classes/PTDateTextAnnotationOptions.html#/c:objc\(cs\)PTDateTextAnnotationOptions\(py\)showDatePickerWhenCreated) (defaults to `false`)
* Added the option to show the date picker when first tapping a date text annotation created with the `PTDateTextCreate` class
  * [`PTDateTextAnnotationOptions.showDatePickerWhenTapped`](https://sdk.apryse.com/api/ios/Classes/PTDateTextAnnotationOptions.html#/c:objc\(cs\)PTDateTextAnnotationOptions\(py\)showDatePickerWhenTapped) (defaults to `false`)

## Bug Fixes

* Fixes an issue where the user couldn't scroll all the way to the top of the document after inserting a new page.
* Fixes an issue where the document would not save automatically under certain conditions.
* Fixes a crash when undoing certain actions while filling in forms.
* Prevents a memory leak when viewing password-protected documents.
* Fixes a crash that would sometimes occur when re-opening previously-opened files.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-9/v9-2-1-79382.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
